#!/usr/bin/env python


from pathlib import Path
import wx
from nardascripting.base.usrscriptbase import *
from nardascripting.base.signalsharkdev import *
import nardascripting.base.toolbox as TB


class MyUserScript(UsrScriptBase):
    """User script class"""

    def __init__(self, main_gui, dev=SignalSharkDev()):
        """Initialization. Please leave this line unchanged"""
        super().__init__(main_gui, dev, __file__)

        # Script settings.
        # Please adapt the following lines of code according to your script.
        self._tab_name = "MyTab"
        self._scr_title = "Script title"
        self._scr_description = "Description of the user script"
        # self._icon_path = self.script_path.joinpath("NardaScriptLauncher_example01.png")
        self._list_prio = 0
        self._nsl_executed_behavior = NSL_Executed_Behaviors.SHOW_NSL

    def _run_script(self, args):
        """
        Script main function
        This method is called when a user clicks on the corresponding script button.
        """

        self.signalshark.connect()
        unit = str(self.signalshark.scpi.display.get_unit())
        self.signalshark.disconnect()

        # Add your code here:
        # e.g. show a message box:
        self.main_gui.MessageBoxModal("This is a wxPython messagebox.",
                                      "MyUserScript", wx.OK | wx.ICON_INFORMATION)

